Pytest-плагин, реализует возможность мульти проверок и мягких проверок
======================================================================

Установка
---------

``pip3 install pytest-multi-check``


Примеры:
--------

```python

  def test_simple1():
    #Тест упадет после проведения всех проверок
    checker.wait(1 > 2, 'Сообщение об ошибке')
    checker.wait(-1 > 2, 'Сообщение об ошибке')


  def test_simple2():
    #Тест упадет в конце первого блока with checker() будут выполнены 1 и 2 проверка
    with checker():
        checker.wait(1 > 2, 'Сообщение об ошибке')
        checker.wait(-1 > 2, 'Сообщение об ошибке')

    with checker():
        checker.wait(0 > 2, 'Сообщение об ошибке')
        checker.wait(-4 > 2, 'Сообщение об ошибке')


  def test_simple3():
    #Тест упадет в конце второго блока with checker() будут выполнены все проверки
    with checker.soft():
        with checker():
            checker.wait(1 > 2, 'Сообщение об ошибке')
            checker.wait(-1 > 2, 'Сообщение об ошибке')

    with checker():
        checker.wait(0 > 2, 'Сообщение об ошибке')
        checker.wait(-4 > 2, 'Сообщение об ошибке')
```