import os

from setuptools import setup, find_packages


def read(file_name):
    return open(os.path.join(os.path.dirname(__file__), file_name)).read()


setup(
    name='pytest-multi-check',
    version='0.2.0',
    author="Maksim Senchuk",
    author_email="m.senchuk@yandex.ru",
    description="Pytest-плагин, реализует возможность мульти проверок и мягких проверок",
    packages=find_packages(include=['pytest_multicheck']),
    long_description=read('README.md'),
    long_description_content_type="text/markdown",
    classifiers=[
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    install_requires=[
        'pytest',
    ],
    include_package_data=True,
    entry_points={'pytest11': ['pytest_multi_check = pytest_multicheck.plugin']},
)
